GNATdoc.Documentation = {
  "label": "Mutexes.Mutex",
  "qualifier": "",
  "summary": [
  ],
  "description": [
    {
      "kind": "paragraph",
      "children": [
        {
          "kind": "span",
          "text": "A simple protected object used to implement a recursive mutex.\n"
        }
      ]
    }
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Lock",
          "qualifier": "",
          "line": 21,
          "column": 15,
          "src": "srcs/mutexes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 21,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "entry"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Lock",
                      "href": "docs/mutexes___mutex___spec.html#L21C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Locks/acquires the mutex. The calling thread will block until the\n"
                },
                {
                  "kind": "span",
                  "text": "mutex is free, unless it already locked the mutex.\n"
                }
              ]
            }
          ]
        }
      ],
      "label": "Entries"
    },
    {
      "entities": [
        {
          "label": "Unlock",
          "qualifier": "",
          "line": 25,
          "column": 19,
          "src": "srcs/mutexes.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 25,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Unlock",
                      "href": "docs/mutexes___mutex___spec.html#L25C19"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Unlocks/releases the mutex. This must be called by the owning thread\n"
                },
                {
                  "kind": "span",
                  "text": "once for each call to Lock.\n"
                }
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};